= gitlab_ui_form_for(resource, as: resource_name, url: session_path(resource_name), html: { class: 'new_user gl-show-field-errors js-sign-in-form', aria: { live: 'assertive' }, data: { testid: 'sign-in-form' }}) do |f|
  .form-group.gl-px-5.gl-pt-5
    = render_if_exists 'devise/sessions/new_base_user_login_label', form: f
    = f.text_field :login, value: @invite_email, class: 'form-control gl-form-input top js-username-field', autocapitalize: 'off', autocorrect: 'off', required: true, title: _('This field is required.'), data: { qa_selector: 'login_field', testid: 'username-field' }
  .form-group.gl-px-5
    = f.label :password, class: 'label-bold'
    = f.password_field :password, class: 'form-control gl-form-input bottom', autocomplete: 'current-password', required: true, title: _('This field is required.'), data: { qa_selector: 'password_field' }
  - if devise_mapping.rememberable?
    .gl-px-5
      .gl-display-inline-block
        = f.gitlab_ui_checkbox_component :remember_me, _('Remember me')
      .gl-float-right
        - if unconfirmed_email?
          = link_to _('Resend confirmation email'), new_user_confirmation_path
        - else
          = link_to _('Forgot your password?'), new_password_path(:user)
    %div
    - if Feature.enabled?(:arkose_labs_login_challenge)
      = render_if_exists 'devise/sessions/arkose_labs'
    - elsif captcha_enabled? || captcha_on_login_required?
      .gl-px-5
        = recaptcha_tags nonce: content_security_policy_nonce

  .submit-container.move-submit-down.gl-px-5
    = f.button _('Sign in'), type: :submit, class: "gl-button btn btn-block btn-confirm js-sign-in-button#{' js-no-auto-disable' if Feature.enabled?(:arkose_labs_login_challenge)}", data: { qa_selector: 'sign_in_button', testid: 'sign-in-button' }
